import { Request, Response } from 'express';
import { BanRecord, db } from '../../../models';

export default async (req: Request, res: Response) => {
  if (!req.user.roles.intBanRecordsReader) {
    res.status(403).send({ status: 'Unauthorized' });
    return;
  }

  const records = await BanRecord.query(db.replica);

  res.send({
    status: 'ok',
    records,
  });
};
