import { Request, Response } from 'express';
import { db, Page } from '../../models';

export default async (req: Request, res: Response) => {
  const id = Page.ID_REG.test(req.params.id) && req.params.id;
  if (!id) {
    res.status(400).send({ error: 'Missing or incorrect page id' });
    return;
  }

  const page = await Page.query(db.replica)
    .select('id', 'title', 'content')
    .where({ id })
    .first();

  if (page) {
    res.send(page);
  } else {
    res.status(404).send({ error: 'Page not found' });
  }
};
