'use strict';

const { Model } = require('.');

export default class Page extends Model {
  public id: string;

  public title: string;

  public content: string;

  public static ID_REG = /^\d{18}$/;

  public static get tableName(): string {
    return 'pages';
  }

  public static get jsonSchema(): object {
    return {
      type: 'object',
      required: [
        'title',
        'content',
      ],
      properties: {
        title: { type: 'string', minLength: 1, maxLength: 1000 },
        content: { type: 'string', minLength: 1, maxLength: 100000 },
      },
    };
  }
}
