"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../../models");
exports.default = async (req, res) => {
    const id = models_1.Page.ID_REG.test(req.params.id) && req.params.id;
    if (!id) {
        res.status(400).send({ error: 'Missing or incorrect page id' });
        return;
    }
    const page = await models_1.Page.query(models_1.db.replica)
        .select('id', 'title', 'content')
        .where({ id })
        .first();
    if (page) {
        res.send(page);
    }
    else {
        res.status(404).send({ error: 'Page not found' });
    }
};
//# sourceMappingURL=show.js.map