'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const { Model } = require('.');
class Page extends Model {
    static get tableName() {
        return 'pages';
    }
    static get jsonSchema() {
        return {
            type: 'object',
            required: [
                'title',
                'content',
            ],
            properties: {
                title: { type: 'string', minLength: 1, maxLength: 1000 },
                content: { type: 'string', minLength: 1, maxLength: 100000 },
            },
        };
    }
}
Page.ID_REG = /^\d{18}$/;
exports.default = Page;
//# sourceMappingURL=page.js.map